Bug 116483 - kernel 2.6.3-1.91 fails to compile when building in ATI Radeon
kernel 2.6.3-1.91 fails to compile when building in ATI Radeon
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-21 12:14 EST by Robert Thomas
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-03 14:58:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Thomas 2004-02-21 12:14:17 EST
Description of problem:
kernel 2.6.3-1.91 fails to compile when building in ATI Radeon graphic
driver.  See below for exact error.

Version-Release number of selected component (if applicable):
kernel 2.6.3-1.91

How reproducible:
Everytime

Steps to Reproduce:
1.Install kernel
2.make menuconfig, select ATI radeon as compiled in instead of module.
3.make bzImage
  
Actual results:

drivers/built-in.o(.text+0x83283): In function `radeon_setup_i2c_bus':
: undefined reference to `i2c_bit_add_bus'
drivers/built-in.o(.text+0x833af): In function `radeon_delete_i2c_busses':
: undefined reference to `i2c_bit_del_bus'
drivers/built-in.o(.text+0x833bc): In function `radeon_delete_i2c_busses':
: undefined reference to `i2c_bit_del_bus'
drivers/built-in.o(.text+0x833c9): In function `radeon_delete_i2c_busses':
: undefined reference to `i2c_bit_del_bus'
drivers/built-in.o(.text+0x833d6): In function `radeon_delete_i2c_busses':
: undefined reference to `i2c_bit_del_bus'
drivers/built-in.o(.text+0x83457): In function `radeon_do_probe_i2c_edid':
: undefined reference to `i2c_transfer'
make: *** [.tmp_vmlinux1] Error 1


Expected results:

To compile

Additional info:
Comment 1 Alan Cox 2004-05-03 14:58:46 EDT
You need i2c built in for this. The fact it doesnt enforce it is an
upstream bug.

Note You need to log in before you can comment on or make changes to this bug.